javax.transaction

## Interface Status

-     public interface Status

  The Status interface defines static variables used for transaction status codes.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `STATUS_ACTIVE` A transaction is associated with the target object and it is in the active state.
    `static int` | `STATUS_COMMITTED` A transaction is associated with the target object and it has been committed.
    `static int` | `STATUS_COMMITTING` A transaction is associated with the target object and it is in the process of committing.
    `static int` | `STATUS_MARKED_ROLLBACK` A transaction is associated with the target object and it has been marked for rollback, perhaps as a result of a setRollbackOnly operation.
    `static int` | `STATUS_NO_TRANSACTION` No transaction is currently associated with the target object.
    `static int` | `STATUS_PREPARED` A transaction is associated with the target object and it has been prepared.
    `static int` | `STATUS_PREPARING` A transaction is associated with the target object and it is in the process of preparing.
    `static int` | `STATUS_ROLLEDBACK` A transaction is associated with the target object and the outcome has been determined to be rollback.
    `static int` | `STATUS_ROLLING_BACK` A transaction is associated with the target object and it is in the process of rolling back.
    `static int` | `STATUS_UNKNOWN` A transaction is associated with the target object but its current status cannot be determined.

- - ### Field Detail

    - #### STATUS_ACTIVE

          static final int STATUS_ACTIVE

      A transaction is associated with the target object and it is in the active state. An implementation returns this status after a transaction has been started and prior to a Coordinator issuing any prepares, unless the transaction has been marked for rollback.
      See Also:
        Constant Field Values

    - #### STATUS_MARKED_ROLLBACK

          static final int STATUS_MARKED_ROLLBACK

      A transaction is associated with the target object and it has been marked for rollback, perhaps as a result of a setRollbackOnly operation.
      See Also:
        Constant Field Values

    - #### STATUS_PREPARED

          static final int STATUS_PREPARED

      A transaction is associated with the target object and it has been prepared. That is, all subordinates have agreed to commit. The target object may be waiting for instructions from a superior as to how to proceed.
      See Also:
        Constant Field Values

    - #### STATUS_COMMITTED

          static final int STATUS_COMMITTED

      A transaction is associated with the target object and it has been committed. It is likely that heuristics exist; otherwise, the transaction would have been destroyed and NoTransaction returned.
      See Also:
        Constant Field Values

    - #### STATUS_ROLLEDBACK

          static final int STATUS_ROLLEDBACK

      A transaction is associated with the target object and the outcome has been determined to be rollback. It is likely that heuristics exist; otherwise, the transaction would have been destroyed and NoTransaction returned.
      See Also:
        Constant Field Values

    - #### STATUS_UNKNOWN

          static final int STATUS_UNKNOWN

      A transaction is associated with the target object but its current status cannot be determined. This is a transient condition and a subsequent invocation will ultimately return a different status.
      See Also:
        Constant Field Values

    - #### STATUS_NO_TRANSACTION

          static final int STATUS_NO_TRANSACTION

      No transaction is currently associated with the target object. This will occur after a transaction has completed.
      See Also:
        Constant Field Values

    - #### STATUS_PREPARING

          static final int STATUS_PREPARING

      A transaction is associated with the target object and it is in the process of preparing. An implementation returns this status if it has started preparing, but has not yet completed the process. The likely reason for this is that the implementation is probably waiting for responses to prepare from one or more Resources.
      See Also:
        Constant Field Values

    - #### STATUS_COMMITTING

          static final int STATUS_COMMITTING

      A transaction is associated with the target object and it is in the process of committing. An implementation returns this status if it has decided to commit but has not yet completed the committing process. This occurs because the implementation is probably waiting for responses from one or more Resources.
      See Also:
        Constant Field Values

    - #### STATUS_ROLLING_BACK

          static final int STATUS_ROLLING_BACK

      A transaction is associated with the target object and it is in the process of rolling back. An implementation returns this status if it has decided to rollback but has not yet completed the process. The implementation is probably waiting for responses from one or more Resources.
      See Also:
        Constant Field Values

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.